import React, { Component } from "react";
import BeldenLogo from "../assets/images/belden-white.png";
import "../assets/stylesheets/statistics.scss";

export default class StatisticsComponent extends Component {
  render() {
    return (
      <div className="statistics">
        <div className="statistics-image">
          <img src={BeldenLogo} alt="Belden" />
        </div>
        <div className="statistics-fieldContainer">
          <h1 className="statistics-title">📊 Statistics</h1>
          <div className="statistics-grid">
            <div className="statistics-grid-container">
              <iframe
                src="http://172.31.108.29:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=8"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
            <div className="statistics-grid-container">
              <iframe
                src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=3"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
            <div className="statistics-grid-container">
              <iframe
                src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=7"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
            <div className="statistics-grid-container">
              <iframe
                src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=6"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
            <div className="statistics-grid-container">
              <iframe
                src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=4"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
            <div className="statistics-grid-container">
              <iframe
                src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=2"
                title="Belden"
                className="statistics-iframe"
              />
            </div>
          </div>
        </div>
      </div>
    );
  }
}
